@echo off
ECHO ..............................................................................
ECHO ..............................................................................
REM
REM Command procedure to compile a fortran file $-n-temp.for
REM Produces a file $-n-temp.log containing the errors
REM Modify this file as needed for your system
REM
REM Compile temporary file $-n-temp.for using the Lahey fortran command LP77.
REM Redirect standard output to file $-n-temp.log
REM
ECHO Compiling temporary file $-n-temp.for...
IF EXIST $-n-temp.log DEL $-n-temp.log
LP77 $-n-temp > $-n-temp.log
IF ERRORLEVEL 1 GOTO QUITC
ECHO Compilation successful.
IF EXIST $-n-temp.log DEL $-n-temp.log
REM
REM Link it
REM
ECHO Press any key to link $-n-temp.obj or C-c to abort:
PAUSE > NUL
LINK $-n-temp; > $-n-temp.log
IF ERRORLEVEL 1 GOTO QUITL
ECHO Linking successful.
IF EXIST $-n-temp.log DEL $-n-temp.log
REM
REM Try running it
REM
ECHO Press any key to run $-n-temp.exe or C-c to abort:
PAUSE > NUL
$-n-temp
ECHO Press any key:
PAUSE > NUL
GOTO QUIT
:QUITC
ECHO Compilation errors occurred. Exit.
GOTO QUIT
:QUITL
ECHO Errors during link. Exit.
GOTO QUIT
:QUIT
IF EXIST $-n-temp.for DEL $-n-temp.for
IF EXIST $-n-temp.obj DEL $-n-temp.obj
IF EXIST $-n-temp.exe DEL $-n-temp.exe
IF EXIST $-n-temp.sld DEL $-n-temp.sld
